Progetto

Generale

Profilo

Segnalazione #562

fuss-desktop ha problemi con Firefox 6X.X

Aggiunto da Marco Marinello 9 mesi fa. Aggiornato 6 mesi fa.

Stato:
Commenti
Priorità:
Normale
Assegnato a:
Versione prevista:
-
Inizio:
15-07-2018
Scadenza:
% completato:

0%


Descrizione

Al momento se si installa firefox dai .deb preparati (https://gitlab.com/fusslab/firefox-build) si riscontrano dei problemi di dipendenze con fuss-desktop.

Andrebbero pertanto rimossi firefox-esr-l10n-de e firefox-esr-l10n-it dalle dipendenze.

Ho provato a compilare un pacchetto con queste caratteristiche e tutti i problemi sembrerebbero risolversi. Se ti serve è nell'archivo git.

aggiornamenti.png Mostra - Conferma disabilitazione aggiornamenti automatici (94,1 KB) Marco Marinello, 16-07-2018 01:40

Cronologia

#1 Aggiornato da Paolo Dongilli 9 mesi fa

  • Assegnato a modificata da Paolo Dongilli a Marco Marinello

Grazie Marco per il tuo impegno.
Mi sono preso il tempo di testare il pacchetto firefox_61.0_amd64.deb per circa una settimana e direi che funziona bene.

Ci sono però ancora tre cose da sistemare prima di fare il deploy:

  1. la disponibilità dei pacchetti di lingue (language pack) anche per il tedesco ed in aggiunta inglese, spagnolo e francese.
  2. un modo semplice per impostare la lingua dell'interfaccia del browser. Attualmente bisogna agire sul campo intl.locale.requested nelle configurazioni avanzate (about:config) - v. https://support.mozilla.org/en-US/kb/use-firefox-interface-other-languages-language-pack#w_how-to-change-the-language-of-the-user-interface
  3. disabilitare la notifica degli aggiornamenti disponibili che causerebbe qualche problema agli utenti in quanto alcuni proverebbero, senza successo, a ad aggiornare il borwser. Dal 5 luglio è disponibile per esempio la v. 61.0.1 e viene notificato.

#2 Aggiornato da Marco Marinello 9 mesi fa

A parziale correzione di quanto scritto prima, anche fuss-language-support ha problemi con il pacchetto.

Ho pubblicato la versione 61.0.1-2 che introduce un file fuss.cfg con la configurazione specifica di sistema per disabilitare gli aggiornamenti automatici.

Per le altre richieste non ho idee. Installando le estensioni si ottiene il file .xpi ma non sono riuscito a convincere firefox a caricarlo.

#3 Aggiornato da Marco Marinello 6 mesi fa

https://bugs.launchpad.net/ubuntu/+source/firefox/+bug/1755918

a quanto si legge basta impostare intl.locale.requested = ""

#4 Aggiornato da Marco Marinello 6 mesi fa

  • Stato modificata da Nuovo a Commenti
  • Assegnato a modificata da Marco Marinello a Paolo Dongilli

Ho fatto le modifiche indicate nei bugs di launchpad. Ti chiederei se hai tempo di provarle tu nel laboratorio FUSS.

La prima cosa sarebbe vedere dal plugin manager se vengono riconosciute come installate le estensioni di lingua che ho aggiunto ed in secondo luogo provare a cambiare lingua del desktop e verificare se cambia anche quella del browser.

Esporta su Atom PDF